Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How do I test a package?
View unanswered posts
View posts from last 24 hours

 
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Gentoo for Mac OS X (Portage for Mac OS X)
View previous topic :: View next topic  
Author Message
Progman3K
Guru
Guru


Joined: 03 Jan 2004
Posts: 540

PostPosted: Wed Oct 12, 2005 2:38 pm    Post subject: How do I test a package? Reply with quote

Hello,
I've used the wiki to install portage and system.
But even if I use gentoolkit-dev to change the gtk+ ebuild, it gives the following error:
emerge -pv gtk+
These are the packages that I would merge, in order:
Calculating dependencies
!!! All ebuilds that could satisfy "gtk+" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/gtk+-2.6.10 (masked by: package.mask, ~ppc keyword)
- x11-libs/gtk+-1.2.10-r10 (masked by: package.mask, missing keyword)
- x11-libs/gtk+-1.2.10-r11 (masked by: package.mask, missing keyword)
- x11-libs/gtk+-2.6.8 (masked by: package.mask, missing keyword)
- x11-libs/gtk+-2.8.6 (masked by: package.mask)
- x11-libs/gtk+-2.6.7 (masked by: package.mask, missing keyword)
For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.

I though using gentoolkit-dev would at least permit me to try and compile any package.
Back to top
View user's profile Send private message
TheX
Guru
Guru


Joined: 31 Jul 2004
Posts: 349
Location: .de

PostPosted: Wed Oct 12, 2005 2:46 pm    Post subject: Reply with quote

Code:
ACCEPT_KEYWORDS="~x86" emerge -pv gtk+


if you have a x86-computer
Back to top
View user's profile Send private message
Progman3K
Guru
Guru


Joined: 03 Jan 2004
Posts: 540

PostPosted: Wed Oct 12, 2005 3:04 pm    Post subject: Reply with quote

Thanks for trying, but that doesn't change the behaviour.
Back to top
View user's profile Send private message
Nebukadnezar
n00b
n00b


Joined: 08 Apr 2004
Posts: 8
Location: med.tu-muenchen.de

PostPosted: Wed Oct 12, 2005 3:20 pm    Post subject: Reply with quote

Hi Progman3K,


you seem to be up to similar things as I am.

The output you've given tells you some things:

- There are many different versions of gtk+, and all are masked.
- Some are masked by keywords, which you can make portage accept by putting an ACCEPT_KEYWORDS="~keyword" (for example ACCEPT_KEYWORDS="~ppc" when you're using portage for Mac OS X on a PowerPC based machine) before the emerge command, as TheX already indicated.
- All are also masked by the config file /usr/portage/profiles/package.mask. This usually means that you REALLY don't want to try out these packages, because they are not working. If you want to give it a shot anyway, you should create a file /etc/portage/package.unmask and add the package name in it (e.g. =x11-libs/gtk+-2.6.10 or simply x11-libs/gtk+). Then you should be able to emerge the package alright.

I've made the experience though, that once you try and emerge some of these masked packages, the emerging stops with a compiler error. I've tried transcode and vorbis-tools, but both to no avail. The packages leading up to the wanted packages never compile cleanly. I thought this was a compiler issue, so I changed the /usr/bin/cc and /usr/bin/gcc symlink to gcc-3.3, but it still doesn't work. If you have any suggestions, I'd appreciate them.


All The Best.
_________________
when you hear hooves outside the window, think horses, not zebras
Back to top
View user's profile Send private message
Progman3K
Guru
Guru


Joined: 03 Jan 2004
Posts: 540

PostPosted: Wed Oct 12, 2005 4:05 pm    Post subject: Reply with quote

Thank you very much for the help, Nebukadnezar.
The situation HAS improved, but now I'm puzzled by something else;

emerge -pv gtk+

These are the packages that I would merge, in order:

Calculating dependencies -
!!! All ebuilds that could satisfy ">=x11-libs/cairo-0.9.2" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/cairo-1.0.2 (masked by: ~ppc keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.
!!! (dependency required by "x11-libs/gtk+-2.8.6" [ebuild])


The file /etc/portage/package.unmask now contains
x11-libs/cairo
x11-libs/gtk+


I can see the effect it has on gtk+, but why won't it let me compile cairo now?

Thanks again.
Back to top
View user's profile Send private message
Nebukadnezar
n00b
n00b


Joined: 08 Apr 2004
Posts: 8
Location: med.tu-muenchen.de

PostPosted: Wed Oct 12, 2005 4:30 pm    Post subject: Reply with quote

The problem with cairo is due to the package being masked by the ~ppc keyword, so you have to make portage accept it, either once for this merge (see above), or permanently by recording it in the /etc/portage/package.keywords file. See the emerge man page for the syntax
_________________
when you hear hooves outside the window, think horses, not zebras
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Gentoo for Mac OS X (Portage for Mac OS X) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum